<app-title-card [title]="'Your Folders'" [createFolder]="true" [actions]="true"></app-title-card>
<div *ngIf="foldersLoaded; else loading" class="folders-container">
  <ng-container *ngFor="let folder of myFolders">
    <mat-card class="folder-card">
      <mat-card-header>
        <mat-icon mat-card-avatar>folder</mat-icon>
        <mat-card-title>{{ folder.title }}</mat-card-title>
        <mat-card-subtitle>{{ folder.description }}</mat-card-subtitle>
      </mat-card-header>
      <mat-card-actions>
        <button mat-raised-button color="primary" [routerLink]="['./', folder.id]">
          Open Folder
        </button>
      </mat-card-actions>
    </mat-card>
  </ng-container>
</div>
<ng-template #loading>
  <app-loading></app-loading>
</ng-template>
